Bug 1236156 - Avoid using regex in ACL if possible.
Summary: Avoid using regex in ACL if possible.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: 389-ds-base
Version: 6.0
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: rc
: ---
Assignee: Noriko Hosoi
QA Contact: Viktor Ashirov
Petr Bokoc
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-26 17:42 UTC by Noriko Hosoi
Modified: 2020-09-13 21:24 UTC (History)
6 users (show)

Fixed In Version: 389-ds-base-1.2.11.15-67.el6
Doc Type: Bug Fix
Doc Text:
Improved ACL performance Previously, unnecessarily complicated regular expressions were used in the Access Control List (ACL) implementation in Directory Server. These regular expressions have been removed and the ACL implementation reworked, resulting in improved performance.
Clone Of:
Environment:
Last Closed: 2016-05-10 19:19:38 UTC
Target Upstream Version:


Attachments (Terms of Use)
perf top output (127.48 KB, image/png)
2016-01-06 10:00 UTC, Amita Sharma
no flags Details
perf data file (445.88 KB, application/octet-stream)
2016-01-06 12:17 UTC, Amita Sharma
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github 389ds 389-ds-base issues 1506 0 None None None 2020-09-13 21:24:25 UTC
Red Hat Product Errata RHBA-2016:0737 0 normal SHIPPED_LIVE 389-ds-base bug fix and enhancement update 2016-05-10 22:29:13 UTC

Description Noriko Hosoi 2015-06-26 17:42:14 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/389/ticket/48175

Too expensive for the acl operation?
{{{
$ egrep _re_ acl/*.[ch]
acl/acl.c:	re = slapi_re_comp( pat, &re_result );
acl/acl.c:	/* slapi_re_exec() returns 1 if the string p1 matches the last compiled
acl/acl.c:	rc = slapi_re_exec( re, realval, -1 /* no timelimit */ );
acl/acl.c:	slapi_re_free(re);
}}}

Comment 4 Amita Sharma 2016-01-06 10:00:18 UTC
Created attachment 1112056 [details]
perf top output

Comment 5 Amita Sharma 2016-01-06 12:17:21 UTC
Created attachment 1112131 [details]
perf data file

Comment 6 Amita Sharma 2016-01-06 12:18:00 UTC
PFA, hence the bug is verified.

Comment 8 errata-xmlrpc 2016-05-10 19:19:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-0737.html


Note You need to log in before you can comment on or make changes to this bug.